GroupMonitoringConfigForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.group.monitor.config.GroupMonitoringConfigForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.group.monitor.config
Class GroupMonitoringConfigForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.CalendarForm
                      org.hyperic.hq.ui.action.ScheduleForm
                          org.hyperic.hq.ui.action.resource.ResourceForm
                              org.hyperic.hq.ui.action.resource.common.monitor.config.MonitoringConfigForm
                                  org.hyperic.hq.ui.action.resource.group.monitor.config.GroupMonitoringConfigForm

All Implemented Interfaces:
  java.io.Serializable

    public class GroupMonitoringConfigForm

extends MonitoringConfigForm

Form for setting the collection interval for metrics in resource/group/monitoring/configuration areas of the application, and for adding metrics to a group.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.ui.action.ScheduleForm
`END_NEVER, END_ON_DATE, EVERY_DAY, EVERY_WEEKDAY, ON_DAY, ON_EACH, RECUR_DAILY, RECUR_MONTHLY, RECUR_NEVER, RECUR_WEEKLY, START_NOW, START_ON_DATE`

Fields inherited from class org.hyperic.hq.ui.action.CalendarForm
`AM, PM`

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`GroupMonitoringConfigForm()` Creates new MonitoringConfigForm

Method Summary
`java.lang.String` | `getAvailabilityThreshold()` Getter for property availabilityThreshold.
`java.lang.String` | `getUnavailabilityThreshold()` Getter for property unavailabilityThreshold.
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`void` | `setAvailabilityThreshold(java.lang.String availabilityThreshold)` Setter for property availabilityThreshold.
`void` | `setUnavailabilityThreshold(java.lang.String unavailabilityThreshold)` Setter for property unavailabilityThreshold.
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.ui.action.resource.common.monitor.config.MonitoringConfigForm
`getCollectionInterval, getCollectionUnit, getIndBtn, getIntervalTime, getMids, isIndSelected, setCollectionInterval, setCollectionUnit, setIndBtn, setMids`

Methods inherited from class org.hyperic.hq.ui.action.resource.ResourceForm
`getAetid, getDescription, getEid, getLocation, getName, getResourceType, getResourceTypes, getRid, getType, isCanModify, loadResourceValue, setAetid, setCanModify, setDescription, setEid, setLocation, setName, setResourceType, setResourceTypes, setRid, setType, updateResourceValue, validate`

Methods inherited from class org.hyperic.hq.ui.action.ScheduleForm
`createSchedule, getControlActions, getEachDay, getEndTime, getIsNow, getMonthlyRecurrenceDay, getNumControlActions, getNumDays, getNumMonths, getNumWeeks, getRecurInterval, getRecurrenceDay, getRecurrenceFrequencyDaily, getRecurrenceFrequencyMonthly, getRecurrenceWeek, getStartTime, populateFromSchedule, setControlActions, setEachDay, setEndTime, setMonthlyRecurrenceDay, setNumControlActions, setNumDays, setNumMonths, setNumWeeks, setRecurInterval, setRecurrenceDay, setRecurrenceFrequencyDaily, setRecurrenceFrequencyMonthly, setRecurrenceWeek, setStartTime`

Methods inherited from class org.hyperic.hq.ui.action.CalendarForm
`calcHour, getEndAmPm, getEndDate, getEndDay, getEndHour, getEndMin, getEndMonth, getEndYear, getInitStartTime, getStartAmPm, getStartDate, getStartDay, getStartHour, getStartMin, getStartMonth, getStartYear, getWantEndDate, getYearOptions, populateEndDate, populateStartDate, setEndAmPm, setEndDay, setEndHour, setEndMin, setEndMonth, setEndYear, setStartAmPm, setStartDay, setStartHour, setStartMin, setStartMonth, setStartYear, setWantEndDate, shouldValidateDateRange, validateDateRange`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GroupMonitoringConfigForm

    public GroupMonitoringConfigForm()

  Creates new MonitoringConfigForm

Method Detail

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Overrides:
    `reset` in class `MonitoringConfigForm`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ResourceForm`

### getAvailabilityThreshold

    public java.lang.String getAvailabilityThreshold()

  Getter for property availabilityThreshold.

  Returns:
    Value of property availabilityThreshold.

### setAvailabilityThreshold

    public void setAvailabilityThreshold(java.lang.String availabilityThreshold)

  Setter for property availabilityThreshold.

  Parameters:
    `availabilityThreshold` - New value of property availabilityThreshold.

### getUnavailabilityThreshold

    public java.lang.String getUnavailabilityThreshold()

  Getter for property unavailabilityThreshold.

  Returns:
    Value of property unavailabilityThreshold.

### setUnavailabilityThreshold

    public void setUnavailabilityThreshold(java.lang.String unavailabilityThreshold)

  Setter for property unavailabilityThreshold.

  Parameters:
    `unavailabilityThreshold` - New value of property unavailabilityThreshold.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.